@font-face {
  font-family: "Montserrat";
  src: local("Montserrat"), url("./Montserrat-Regular.woff2") format("woff2");
  font-weight: 400;
  font-style: normal;
  font-display: swap;
}

@font-face {
  font-family: "Montserrat";
  src: local("Montserrat"), url("./Montserrat-Bold.woff2") format("woff2");
  font-weight: 700;
  font-style: normal;
  font-display: swap;
}

/* Base */
html {
  scroll-behavior: smooth;
}

body {
  font-family: "Montserrat", sans-serif;
  font-optical-sizing: auto;
  font-weight: 400;
  font-style: normal;
  background-color: #f1f1f1;
}

.container {
  max-width: 1200px;
  margin: 0 auto;
  padding: 0 15px;
}

/* Header */

.overphone {
  margin-top: 0px;
  height: 80px;
  background: transparent;
  z-index: 9;
}

.container-ourphone {
  max-width: 1200px;
  margin: 0 auto;
  padding: 0 0px;
}

.ourphone-row {
  display: flex;
  flex-direction: row;
  justify-content: space-between;
  align-items: center;
}

.ourphone-img {
  width: 52px;
  height: 52px;
  margin-bottom: 10px;
  margin-top: 10px;
}

.ourphone-title {
  margin-top: 10px;
  margin-bottom: 10px;
  font-size: 24px;
  font-weight: 200;
  text-align: center;
  color: #f1f1f1;
}

.nummer-row {
  display: flex;
  flex-direction: row;
  justify-content: space-between;
  align-items: center;
  column-gap: 10px;

  padding-left: 10px;
  padding-right: 10px;

  background-color: #3b3a63;

  border-radius: 8px;
  border: 1px solid #f1f1f1;
  color: #f1f1f1;
  line-height: 1;

  transition: all 0.2s ease-in;
}

.nummer-row:hover {
  background: #ef7f04;
}

.nummer-img {
  height: 24px;
}

.header {
  position: relative;
  overflow: hidden;

  padding-top: 80px;
  padding-bottom: 80px;

  color: #f1f1f1;

  background: linear-gradient(180deg, #5d5dc9, #2f2f51, #1a1a33);
}

.header-row {
  display: flex;
  flex-direction: row;
  align-items: center;
  column-gap: 60px;
}

.header .container {
  position: relative;
  z-index: 9;
}

.header-name {
  margin-top: 20px;
  font-weight: 900;
  font-size: 40px;
}

.header-title {
  margin-bottom: 10px;
  font-weight: 700;
  font-size: 30px;
  color: #ef7f04;
}

.header-text {
  margin-bottom: 20px;
  font-size: 36px;
  font-weight: 300;
}

.banner-icons {
  margin: 40px 0;
  display: flex;
  flex-wrap: wrap;
  gap: 60px;
}

.banner-icon {
  max-width: 350px;
  display: flex;
  column-gap: 30px;
}

.banner-icon-text {
  font-size: 20px;
}

.header-btns {
  display: flex;
  column-gap: 20px;
}

.btn {
  height: 48px;
  padding-top: 15px;
  padding-left: 25px;
  padding-right: 25px;

  background-color: transparent;
  border: 1px solid #ef7f04;
  border-radius: 8px;

  color: #f1f1f1;
  line-height: 1;

  transition: all 0.2s ease-in;
}

.btn:hover {
  background-color: #ef7f04;
}

/* Service */

.credit {
  margin-inline: auto;
  max-width: 1200px;
  margin-top: 10px;
  border: 3px solid #ef7f04;
  border-radius: 8px;
}

.container-credit {
  padding: 20px;
  display: flex;
  flex-direction: row;
  justify-content: space-between;
  color: #f1f1f1;
  background-color: #5d5dc9;
  font-size: 18px;
  border-radius: 5px;
}

.container-credit:hover {
  background-color: #2b2b5c;
}

.service-title {
  margin-top: 30px;
  margin-bottom: 20px;
  font-weight: 600;
  font-size: 30px;
  color: #3b3a63;
  text-align: center;
}

.container-service {
  max-width: 1200px;
  margin: 0 auto;
  padding: 0 15px;
}

.window {
  display: flex;
  flex-direction: row;
  align-items: center;
  column-gap: 100px;
  margin-bottom: 20px;
  padding-right: 10px;
}

.window:hover {
  background: linear-gradient(to left, #cac8ff, #f1f1f1);
}

.window-title {
  font-size: 20px;
  color: #3b3a63;
}

.window-text {
  margin-bottom: 60px;
}

.btn-desc {
  height: 48px;
  padding-top: 15px;
  padding-left: 25px;
  padding-right: 25px;
  padding-bottom: 15px;

  background-color: #5d5dc9;
  border: 1px solid #5d5dc9;
  border-radius: 8px;



  color: #f1f1f1;
  line-height: 1;

  transition: all 0.2s ease-in;
}

.btn-desc:hover {
  background-color: #ef7f04;
}

.balcony {
  display: flex;
  flex-direction: row;
  align-items: center;
  column-gap: 100px;
  margin-bottom: 20px;
  padding-right: 10px;
}

.balcony:hover {
  background: linear-gradient(to left, #cac8ff, #f1f1f1);
}

.balcony-title {
  font-size: 20px;
  color: #3b3a63;
}

.balcony-text {
  margin-bottom: 60px;
}

/* Roulette */

.roulette {
  max-width: 1200px;
  margin: 0 auto;
  padding: 0 15px;
  display: flex;
  column-gap: 40px;
  justify-content: center;
  align-items: center;
  margin-bottom: 10px;
}

.roulette-img:hover {
  animation: shake 0.5s;
  animation-iteration-count: infinite;
}

@keyframes shake {
  0% {
    transform: translate(1px, 1px) rotate(0deg);
  }

  10% {
    transform: translate(-1px, -2px) rotate(-1deg);
  }

  20% {
    transform: translate(-3px, 0px) rotate(1deg);
  }

  30% {
    transform: translate(3px, 2px) rotate(0deg);
  }

  40% {
    transform: translate(1px, -1px) rotate(1deg);
  }

  50% {
    transform: translate(-1px, 2px) rotate(-1deg);
  }

  60% {
    transform: translate(-3px, 1px) rotate(0deg);
  }

  70% {
    transform: translate(3px, 1px) rotate(-1deg);
  }

  80% {
    transform: translate(-1px, -1px) rotate(1deg);
  }

  90% {
    transform: translate(1px, 2px) rotate(0deg);
  }

  100% {
    transform: translate(1px, -2px) rotate(-1deg);
  }
}

.roulette-title {
  font-size: 30px;
  color: #3b3a63;
}

/* Inner Page */

.inner-page {
  padding: 20px 0;
}

.inner-page-link {
  margin: 0 auto;
  max-width: 770px;
  padding: 30px;

  display: flex;
  column-gap: 10px;
  align-items: center;
  justify-content: center;

  background-color: #f1f1f1;
  text-align: center;
  color: #000;

  transition: all 0.2s ease-in;
}

.inner-page-link:hover {
  background-color: #ef7f04;
}

/* Trail */

line {
  stroke: #ef7f04;
  /* Основной цвет линии */
  stroke-width: 2;
  /* Тонкая линия */
  stroke-linecap: round;
  /* Скругленные окончания */
  animation: fade-out 2s linear forwards;
  /* Плавное исчезновение за 2 секунды */
}

@keyframes fade-out {
  to {
    stroke-opacity: 0;
    /* Полностью прозрачная линия */
  }
}

/* Footer */

.footer {
  padding: 30px 0;
  background-color: #1e1e1e;
  color: #f1f1f1;
}

.footer a {
  color: #69beff;
}

.footer a:hover {
  color: #f1f1f1;
}

.footer-inner {
  font-size: 14px;
  text-align: center;
}

.footer-inner p+p {
  margin-top: 15px;
}
